/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;

import java.util.Iterator;

import static java.util.Arrays.asList;
import static net.sourceforge.xazzle.xhtml.IterableUtils.cons;

public final class ColumnSpecifications implements Iterable<TableColumnDetailsTag> {
    private final Iterable<TableColumnDetailsTag> tableColumnDetailsTags;

    private ColumnSpecifications(final Iterable<TableColumnDetailsTag> tableColumnDetailsTags) {
        this.tableColumnDetailsTags = tableColumnDetailsTags;
    }

    static ColumnSpecifications columnSpecifications(final TableColumnDetailsTag columnDetailsTag, final TableColumnDetailsTag... columnDetailsTags) {
        return new ColumnSpecifications(cons(columnDetailsTag, asList(columnDetailsTags)));
    }

    public Iterator<TableColumnDetailsTag> iterator() {
        return tableColumnDetailsTags.iterator();
    }
}
